# KDE User's Manual

Lauri
Watts
&Lauri.Watts.mail;
Feb 25, 2005
K Desktop Environment
appletproxy
1

# `appletproxy`

&kde; panel applet proxy

    appletproxy
    desktopfile
    --configfile file
    --callbackid id
    KDE Generic Options
    Qt Generic Options

## Description

appletproxy is a small application that allows you to run a &kicker; (&kde; panel) applet outside of &kicker; itself. The applet will appear in it's own window, making this a convenient way to debug panel applets.

## Options

`desktopfile`

  The applet's desktop file

`--configfile file`

  The config file to be used

`--callback id`

  &DCOP; callback id of the applet container.

## See Also

kicker(1)

## Examples

``appletproxy` `knewsticker``

  Run &knewsticker; in a standalone window.

## Authors

&kappname; was written by &Matthias.Elter; and &Matthias.Ettrich; and is maintained by &Aaron.J.Seigo; &Aaron.J.Seigo.mail;

This man page was written for &kde; 3.4 by &Lauri.Watts; &Lauri.Watts.mail;